<?php include("include/config.inc.php"); 

//Verificar estado da maquina
$curl = curl_init();
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt_array($curl, array(
  CURLOPT_URL => $arrConfig["url_api"].'verificaEstadoMaquina?maquina='.$_SESSION['maquina'],
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  
));

$response = curl_exec($curl);

curl_close($curl);

$array = json_decode($response, true);
$resposta = $array['Resposta'][0];

$erro = $array['Erro'];
if($erro){
    echo "ola";
}

   
    

   
    

        $_SESSION['estadoMaquina'] = $resposta;

 
   

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/extras.css">
    <title>Produção</title>
</head>
<body>
    <?php include("include/header.inc.php") ?>
    <div class="text-center ">
    <h3><strong> Produção</strong></h3>
</div> 
<div class="container-fluid mt-5">
   <?php 
   $inicioSetup = "";
   $producao = "";
   $fimProducao = "";
   $mensagem = "";
    $estado= $_SESSION['estadoMaquina'];
    switch($estado){
        case "em produção":
            $inicioSetup = "disabled";
            $mensagem = "Estado: Em Produção";
            break;
        case "livre novo registo":
            $producao = "disabled";
            $fimProducao = "disabled";
            $mensagem = "Estado: Livre";
            break;
        case "em SETUP":
            $inicioSetup = "disabled";
            $mensagem = "Estado: Em Setup";
            break;
        case "Livre":
            $producao = "disabled";
            $fimProducao = "disabled";
            $mensagem = "Estado: Livre";
        break;
    }
   
   ?>
    <?php 
 //print_r($_SESSION);
 echo '<div class="text-center">
 <h3><strong> '.$mensagem.'</strong></h3>
</div> ';
 ?>
        <form action="setup_codDesenho.php" class="text-center w-100  mt-2" >
            <button type="submit" class="btn btn-dark t-xxl w-100" onclick="vibrate()" <?php echo($inicioSetup);?>>INICIO SETUP </button>
        </form>
        

    <form action="sscc.php" class="text-center w-100  mt-5">
            <button type="submit" class="btn btn-dark t-xxl w-100" onclick="vibrate()" <?php echo($producao);?>>PRODUÇÃO</button>
        </form>
    <form action="include/libertaMaquina.php" class="text-center w-100  mt-5">
        <button type="submit" class="btn btn-dark t-xxl w-100" onclick="vibrate()" <?php echo($fimProducao);?>>FIM PRODUÇÃO</button>
    </form>
</div>


<script>

    function vibrate(){
        navigator.vibrate(1000);
    }
</script>

    <?php include("include/footer.inc.php") ?>
</body>
</html>